OpenIsle Docs
API 概览
Reply to comment POST
Api
Comments
Commentid
Replies

# Reply to comment

Reply to an existing comment

POST
/`api`/`comments`/`{commentId}`/`replies`

## Authorization

Authorization Bearer <token>

In: `header`

## Path Parameters

commentId integer
Format `int64`

## Request Body

content?string
captcha?string

## Response Body

###

    curl -X POST "https://www.open-isle.com/api/comments/0/replies" \  -H "Content-Type: application/json" \  -d '{}'

    {
      "id": 0,
      "content": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "pinnedAt": "2019-08-24T14:15:22Z",
      "author": {
        "id": 0,
        "username": "string",
        "avatar": "string",
        "displayMedal": "COMMENT"
      },
      "replies": [
        {
          "id": 0,
          "content": "string",
          "createdAt": "2019-08-24T14:15:22Z",
          "pinnedAt": "2019-08-24T14:15:22Z",
          "author": {
            "id": 0,
            "username": "string",
            "avatar": "string",
            "displayMedal": "COMMENT"
          },
          "replies": [],
          "reactions": [
            {
              "id": 0,
              "type": "LIKE",
              "user": "string",
              "postId": 0,
              "commentId": 0,
              "messageId": 0,
              "reward": 0
            }
          ],
          "reward": 0,
          "pointReward": 0
        }
      ],
      "reactions": [
        {
          "id": 0,
          "type": "LIKE",
          "user": "string",
          "postId": 0,
          "commentId": 0,
          "messageId": 0,
          "reward": 0
        }
      ],
      "reward": 0,
      "pointReward": 0
    }

React to comment POST

Previous Page

Delete comment DELETE

Next Page

    curl -X POST "https://www.open-isle.com/api/comments/0/replies" \
      -H "Content-Type: application/json" \
      -d '{}'